org.red5.io

## Interface ITag

All Superinterfaces:
  IoConstants

All Known Implementing Classes:
  Tag

    public interface ITag
    extends IoConstants

A Tag represents the contents or payload of a streamable file.

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com), Luke Hubbard, Codegent Ltd (luke@codegent.com)

### Field Summary

### Fields inherited from interface org.red5.io.IoConstants

`AVC_PACKET_TYPE_END_OF_SEQUENCE, AVC_PACKET_TYPE_NALU, AVC_PACKET_TYPE_SEQUENCE_HEADER, FLAG_CODEC_H263, FLAG_CODEC_SCREEN, FLAG_CODEC_VP6, FLAG_FORMAT_ADPCM, FLAG_FORMAT_MP3, FLAG_FORMAT_NELLYMOSER, FLAG_FORMAT_NELLYMOSER_8_KHZ, FLAG_FORMAT_RAW, FLAG_FRAMETYPE_DISPOSABLE, FLAG_FRAMETYPE_GENERATED_KEYFRAME, FLAG_FRAMETYPE_INFO, FLAG_FRAMETYPE_INTERFRAME, FLAG_FRAMETYPE_KEYFRAME, FLAG_RATE_11_KHZ, FLAG_RATE_22_KHZ, FLAG_RATE_44_KHZ, FLAG_RATE_48_KHZ, FLAG_RATE_5_5_KHZ, FLAG_SIZE_16_BIT, FLAG_SIZE_8_BIT, FLAG_TYPE_MONO, FLAG_TYPE_STEREO, INFO_PACKET_SEEK_END, INFO_PACKET_SEEK_START, MASK_SOUND_FORMAT, MASK_SOUND_RATE, MASK_SOUND_SIZE, MASK_SOUND_TYPE, MASK_VIDEO_CODEC, MASK_VIDEO_FRAMETYPE, TYPE_AUDIO, TYPE_ENCRYPTED, TYPE_ENCRYPTED_AUDIO, TYPE_ENCRYPTED_METADATA, TYPE_ENCRYPTED_VIDEO, TYPE_METADATA, TYPE_VIDEO`

### Method Summary

Methods
`org.apache.mina.core.buffer.IoBuffer` `getBody()` Return the body ByteBuffer
`int` `getBodySize()` Return the size of the body
`org.apache.mina.core.buffer.IoBuffer` `getData()` Returns the data as a ByteBuffer
`byte` `getDataType()` Get the data type
`int` `getPreviousTagSize()` Returns previous tag size
`int` `getTimestamp()` Return the timestamp
`void` `setBody(org.apache.mina.core.buffer.IoBuffer body)` Set the body ByteBuffer.
`void` `setBodySize(int size)` Set the size of the body.
`void` `setDataType(byte datatype)` Set the data type.
`void` `setPreviousTagSize(int size)` Set the size of the previous tag.
`void` `setTimestamp(int timestamp)` Set the timestamp.

### Method Detail

#### getBody

    org.apache.mina.core.buffer.IoBuffer getBody()

Return the body ByteBuffer

Returns:
  ByteBuffer Body as byte buffer

#### getBodySize

    int getBodySize()

Return the size of the body

Returns:
  int Body size

#### getDataType

    byte getDataType()

Get the data type

Returns:
  byte Data type as byte

#### getTimestamp

    int getTimestamp()

Return the timestamp

Returns:
  int Timestamp

#### getData

    org.apache.mina.core.buffer.IoBuffer getData()

Returns the data as a ByteBuffer

Returns:
  ByteBuffer Data as byte buffer

#### getPreviousTagSize

    int getPreviousTagSize()

Returns previous tag size

Returns:
  int Previous tag size

#### setBody

    void setBody(org.apache.mina.core.buffer.IoBuffer body)

Set the body ByteBuffer.

Parameters:
  `body` - Body as ByteBuffer

#### setBodySize

    void setBodySize(int size)

Set the size of the body.

Parameters:
  `size` - Body size

#### setDataType

    void setDataType(byte datatype)

Set the data type.

Parameters:
  `datatype` - Data type

#### setTimestamp

    void setTimestamp(int timestamp)

Set the timestamp.

Parameters:
  `timestamp` - Timestamp

#### setPreviousTagSize

    void setPreviousTagSize(int size)

Set the size of the previous tag.

Parameters:
  `size` - Previous tag size